View Issue Details

IDProjectCategoryView StatusLast Update
0020474LazarusIDEpublic2011-10-12 21:31
Reporteroptimaco Assigned ToVincent Snijders  
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionduplicate 
Platformamd64OSUbuntu 64 bits 
Product Version0.9.30.2RC1 
Summary0020474: unable to install 0.9.30.2 (dependency errors)
DescriptionUbuntu Lucid Lynx Desktop 64 bits (10.04 LTS)
Installation of fpc-2.4.4 from fpc-2.4.4-1.amd64.deb.tar creates no problem.

Unable to install 0.9.30.2 from lazarus-0.9.30.2RC1.amd64.deb.tar with the following dependency errors:
dpkg: dependency problems prevent configuration of lazarus-ide-0.9.30.2:
 lazarus-ide-0.9.30.2 depends on libgdk-pixbuf2.0-0 (>= 2.22.0); however:
  Package libgdk-pixbuf2.0-0 is not installed.
 lazarus-ide-0.9.30.2 depends on libgtk2.0-0 (>= 2.24.0); however:
  Version of libgtk2.0-0 on system is 2.20.1-0ubuntu2.

There seems to be no such package as libgdk-pixbuf2.0-0 in 10.04 LTS, so it is not installable.
libgtk2.0-0 (2.20.1-0ubuntu2) is the latest availbale version for this LTS release.

This an LTS version, so, typically we have no other alternative in a professional environment.

Steps To ReproduceDownload fpc-2.4.4-1.amd64.deb.tar and lazarus-0.9.30.2RC1.amd64.deb.tar from http://sourceforge.net/projects/lazarus/files/Lazarus%20Linux%20amd64%20DEB/Lazarus%200.9.30.2RC1/

Untar to temp fpc_2.4.4 and lazarus_0.9.30.2RC1 directories

cd to fpc_2.4.4 and dpkg -i *.deb : installs like a charm
cd to lazarus_0.9.30.2RC1 and dpkg -i *.deb : see problem description above.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

duplicate of 0019718 resolvedAbou Al Montacir Lazarus Debian package 

Activities

Vincent Snijders

2011-10-12 21:30

manager   ~0052912

Same as 19718: Package built on Debian Sid don't install on older debian based distros, but need to be rebuilt from source.

Issue History

Date Modified Username Field Change
2011-10-12 20:14 optimaco New Issue
2011-10-12 20:14 optimaco Widgetset => GTK 2
2011-10-12 21:30 Vincent Snijders LazTarget => -
2011-10-12 21:30 Vincent Snijders Relationship added duplicate of 0019718
2011-10-12 21:30 Vincent Snijders Duplicate ID 0 => 19718
2011-10-12 21:30 Vincent Snijders Status new => resolved
2011-10-12 21:30 Vincent Snijders Resolution open => duplicate
2011-10-12 21:30 Vincent Snijders Assigned To => Vincent Snijders
2011-10-12 21:30 Vincent Snijders Note Added: 0052912